package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/inventorymanage"
	"go-admin/app/admin/middleware"
	jwt "go-admin/pkg/jwtauth"
)

func registerInventoryManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	r := v1.Group("/inventory").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	r.POST("list", inventorymanage.GetInventoryList)
	r.POST("detail", inventorymanage.GetInventoryDetail)
	r.POST("delivery", inventorymanage.DeliveryCargo) // 出库
	r.POST("print", inventorymanage.BatchPrint)       // 出库
}
